Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network237.3.232.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
237.3.232.0
Broadcast address
237.3.239.255
First usable
237.3.232.1
Last usable
237.3.239.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex ED03E800 · Integer 3976456192 to 3976458239
Reverse DNS zones
232.3.237.in-addr.arpa
233.3.237.in-addr.arpa
234.3.237.in-addr.arpa
235.3.237.in-addr.arpa
236.3.237.in-addr.arpa
237.3.237.in-addr.arpa
238.3.237.in-addr.arpa
239.3.237.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101101.00000011.11101000.00000000237.3.232.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network11101101.00000011.11101000.00000000237.3.232.0
Broadcast11101101.00000011.11101111.11111111237.3.239.255
Split into smaller subnets/28

237.3.232.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1237.3.232.0/28237.3.232.1 to 237.3.232.14237.3.232.1514
2237.3.232.16/28237.3.232.17 to 237.3.232.30237.3.232.3114
3237.3.232.32/28237.3.232.33 to 237.3.232.46237.3.232.4714
4237.3.232.48/28237.3.232.49 to 237.3.232.62237.3.232.6314
5237.3.232.64/28237.3.232.65 to 237.3.232.78237.3.232.7914
6237.3.232.80/28237.3.232.81 to 237.3.232.94237.3.232.9514
7237.3.232.96/28237.3.232.97 to 237.3.232.110237.3.232.11114
8237.3.232.112/28237.3.232.113 to 237.3.232.126237.3.232.12714
9237.3.232.128/28237.3.232.129 to 237.3.232.142237.3.232.14314
10237.3.232.144/28237.3.232.145 to 237.3.232.158237.3.232.15914
11237.3.232.160/28237.3.232.161 to 237.3.232.174237.3.232.17514
12237.3.232.176/28237.3.232.177 to 237.3.232.190237.3.232.19114
13237.3.232.192/28237.3.232.193 to 237.3.232.206237.3.232.20714
14237.3.232.208/28237.3.232.209 to 237.3.232.222237.3.232.22314
15237.3.232.224/28237.3.232.225 to 237.3.232.238237.3.232.23914
16237.3.232.240/28237.3.232.241 to 237.3.232.254237.3.232.25514
17237.3.233.0/28237.3.233.1 to 237.3.233.14237.3.233.1514
18237.3.233.16/28237.3.233.17 to 237.3.233.30237.3.233.3114
19237.3.233.32/28237.3.233.33 to 237.3.233.46237.3.233.4714
20237.3.233.48/28237.3.233.49 to 237.3.233.62237.3.233.6314
21237.3.233.64/28237.3.233.65 to 237.3.233.78237.3.233.7914
22237.3.233.80/28237.3.233.81 to 237.3.233.94237.3.233.9514
23237.3.233.96/28237.3.233.97 to 237.3.233.110237.3.233.11114
24237.3.233.112/28237.3.233.113 to 237.3.233.126237.3.233.12714
25237.3.233.128/28237.3.233.129 to 237.3.233.142237.3.233.14314
26237.3.233.144/28237.3.233.145 to 237.3.233.158237.3.233.15914
27237.3.233.160/28237.3.233.161 to 237.3.233.174237.3.233.17514
28237.3.233.176/28237.3.233.177 to 237.3.233.190237.3.233.19114
29237.3.233.192/28237.3.233.193 to 237.3.233.206237.3.233.20714
30237.3.233.208/28237.3.233.209 to 237.3.233.222237.3.233.22314
31237.3.233.224/28237.3.233.225 to 237.3.233.238237.3.233.23914
32237.3.233.240/28237.3.233.241 to 237.3.233.254237.3.233.25514
33237.3.234.0/28237.3.234.1 to 237.3.234.14237.3.234.1514
34237.3.234.16/28237.3.234.17 to 237.3.234.30237.3.234.3114
35237.3.234.32/28237.3.234.33 to 237.3.234.46237.3.234.4714
36237.3.234.48/28237.3.234.49 to 237.3.234.62237.3.234.6314
37237.3.234.64/28237.3.234.65 to 237.3.234.78237.3.234.7914
38237.3.234.80/28237.3.234.81 to 237.3.234.94237.3.234.9514
39237.3.234.96/28237.3.234.97 to 237.3.234.110237.3.234.11114
40237.3.234.112/28237.3.234.113 to 237.3.234.126237.3.234.12714
41237.3.234.128/28237.3.234.129 to 237.3.234.142237.3.234.14314
42237.3.234.144/28237.3.234.145 to 237.3.234.158237.3.234.15914
43237.3.234.160/28237.3.234.161 to 237.3.234.174237.3.234.17514
44237.3.234.176/28237.3.234.177 to 237.3.234.190237.3.234.19114
45237.3.234.192/28237.3.234.193 to 237.3.234.206237.3.234.20714
46237.3.234.208/28237.3.234.209 to 237.3.234.222237.3.234.22314
47237.3.234.224/28237.3.234.225 to 237.3.234.238237.3.234.23914
48237.3.234.240/28237.3.234.241 to 237.3.234.254237.3.234.25514
49237.3.235.0/28237.3.235.1 to 237.3.235.14237.3.235.1514
50237.3.235.16/28237.3.235.17 to 237.3.235.30237.3.235.3114
51237.3.235.32/28237.3.235.33 to 237.3.235.46237.3.235.4714
52237.3.235.48/28237.3.235.49 to 237.3.235.62237.3.235.6314
53237.3.235.64/28237.3.235.65 to 237.3.235.78237.3.235.7914
54237.3.235.80/28237.3.235.81 to 237.3.235.94237.3.235.9514
55237.3.235.96/28237.3.235.97 to 237.3.235.110237.3.235.11114
56237.3.235.112/28237.3.235.113 to 237.3.235.126237.3.235.12714
57237.3.235.128/28237.3.235.129 to 237.3.235.142237.3.235.14314
58237.3.235.144/28237.3.235.145 to 237.3.235.158237.3.235.15914
59237.3.235.160/28237.3.235.161 to 237.3.235.174237.3.235.17514
60237.3.235.176/28237.3.235.177 to 237.3.235.190237.3.235.19114
61237.3.235.192/28237.3.235.193 to 237.3.235.206237.3.235.20714
62237.3.235.208/28237.3.235.209 to 237.3.235.222237.3.235.22314
63237.3.235.224/28237.3.235.225 to 237.3.235.238237.3.235.23914
64237.3.235.240/28237.3.235.241 to 237.3.235.254237.3.235.25514
65237.3.236.0/28237.3.236.1 to 237.3.236.14237.3.236.1514
66237.3.236.16/28237.3.236.17 to 237.3.236.30237.3.236.3114
67237.3.236.32/28237.3.236.33 to 237.3.236.46237.3.236.4714
68237.3.236.48/28237.3.236.49 to 237.3.236.62237.3.236.6314
69237.3.236.64/28237.3.236.65 to 237.3.236.78237.3.236.7914
70237.3.236.80/28237.3.236.81 to 237.3.236.94237.3.236.9514
71237.3.236.96/28237.3.236.97 to 237.3.236.110237.3.236.11114
72237.3.236.112/28237.3.236.113 to 237.3.236.126237.3.236.12714
73237.3.236.128/28237.3.236.129 to 237.3.236.142237.3.236.14314
74237.3.236.144/28237.3.236.145 to 237.3.236.158237.3.236.15914
75237.3.236.160/28237.3.236.161 to 237.3.236.174237.3.236.17514
76237.3.236.176/28237.3.236.177 to 237.3.236.190237.3.236.19114
77237.3.236.192/28237.3.236.193 to 237.3.236.206237.3.236.20714
78237.3.236.208/28237.3.236.209 to 237.3.236.222237.3.236.22314
79237.3.236.224/28237.3.236.225 to 237.3.236.238237.3.236.23914
80237.3.236.240/28237.3.236.241 to 237.3.236.254237.3.236.25514
81237.3.237.0/28237.3.237.1 to 237.3.237.14237.3.237.1514
82237.3.237.16/28237.3.237.17 to 237.3.237.30237.3.237.3114
83237.3.237.32/28237.3.237.33 to 237.3.237.46237.3.237.4714
84237.3.237.48/28237.3.237.49 to 237.3.237.62237.3.237.6314
85237.3.237.64/28237.3.237.65 to 237.3.237.78237.3.237.7914
86237.3.237.80/28237.3.237.81 to 237.3.237.94237.3.237.9514
87237.3.237.96/28237.3.237.97 to 237.3.237.110237.3.237.11114
88237.3.237.112/28237.3.237.113 to 237.3.237.126237.3.237.12714
89237.3.237.128/28237.3.237.129 to 237.3.237.142237.3.237.14314
90237.3.237.144/28237.3.237.145 to 237.3.237.158237.3.237.15914
91237.3.237.160/28237.3.237.161 to 237.3.237.174237.3.237.17514
92237.3.237.176/28237.3.237.177 to 237.3.237.190237.3.237.19114
93237.3.237.192/28237.3.237.193 to 237.3.237.206237.3.237.20714
94237.3.237.208/28237.3.237.209 to 237.3.237.222237.3.237.22314
95237.3.237.224/28237.3.237.225 to 237.3.237.238237.3.237.23914
96237.3.237.240/28237.3.237.241 to 237.3.237.254237.3.237.25514
97237.3.238.0/28237.3.238.1 to 237.3.238.14237.3.238.1514
98237.3.238.16/28237.3.238.17 to 237.3.238.30237.3.238.3114
99237.3.238.32/28237.3.238.33 to 237.3.238.46237.3.238.4714
100237.3.238.48/28237.3.238.49 to 237.3.238.62237.3.238.6314
101237.3.238.64/28237.3.238.65 to 237.3.238.78237.3.238.7914
102237.3.238.80/28237.3.238.81 to 237.3.238.94237.3.238.9514
103237.3.238.96/28237.3.238.97 to 237.3.238.110237.3.238.11114
104237.3.238.112/28237.3.238.113 to 237.3.238.126237.3.238.12714
105237.3.238.128/28237.3.238.129 to 237.3.238.142237.3.238.14314
106237.3.238.144/28237.3.238.145 to 237.3.238.158237.3.238.15914
107237.3.238.160/28237.3.238.161 to 237.3.238.174237.3.238.17514
108237.3.238.176/28237.3.238.177 to 237.3.238.190237.3.238.19114
109237.3.238.192/28237.3.238.193 to 237.3.238.206237.3.238.20714
110237.3.238.208/28237.3.238.209 to 237.3.238.222237.3.238.22314
111237.3.238.224/28237.3.238.225 to 237.3.238.238237.3.238.23914
112237.3.238.240/28237.3.238.241 to 237.3.238.254237.3.238.25514
113237.3.239.0/28237.3.239.1 to 237.3.239.14237.3.239.1514
114237.3.239.16/28237.3.239.17 to 237.3.239.30237.3.239.3114
115237.3.239.32/28237.3.239.33 to 237.3.239.46237.3.239.4714
116237.3.239.48/28237.3.239.49 to 237.3.239.62237.3.239.6314
117237.3.239.64/28237.3.239.65 to 237.3.239.78237.3.239.7914
118237.3.239.80/28237.3.239.81 to 237.3.239.94237.3.239.9514
119237.3.239.96/28237.3.239.97 to 237.3.239.110237.3.239.11114
120237.3.239.112/28237.3.239.113 to 237.3.239.126237.3.239.12714
121237.3.239.128/28237.3.239.129 to 237.3.239.142237.3.239.14314
122237.3.239.144/28237.3.239.145 to 237.3.239.158237.3.239.15914
123237.3.239.160/28237.3.239.161 to 237.3.239.174237.3.239.17514
124237.3.239.176/28237.3.239.177 to 237.3.239.190237.3.239.19114
125237.3.239.192/28237.3.239.193 to 237.3.239.206237.3.239.20714
126237.3.239.208/28237.3.239.209 to 237.3.239.222237.3.239.22314
127237.3.239.224/28237.3.239.225 to 237.3.239.238237.3.239.23914
128237.3.239.240/28237.3.239.241 to 237.3.239.254237.3.239.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses